Bug 1727600 - Fedora flatpak for this app on registry.fedoraproject.org
Summary: Fedora flatpak for this app on registry.fedoraproject.org
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: darktable
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Edouard Bourguignon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-07 13:44 UTC by rugk
Modified: 2019-07-26 01:01 UTC (History)
5 users (show)

Fixed In Version: darktable-master-3020190717173735.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-26 01:01:51 UTC
Type: Bug


Attachments (Terms of Use)

Description rugk 2019-07-07 13:44:12 UTC
It would be great if you could provide a flatpak package of this app to https://registry.fedoraproject.org/.

Especially for users of Fedora Silverblue https://silverblue.fedoraproject.org/ this then allows a seamless installation and upgrades without rebooting the system (just restarting the application).

Additionally, flatpaks can of course be installed on any distro, so also non-Fedora users could use it too.

More details:
* https://fedoraproject.org/wiki/Workstation/Flatpaks
* https://fedoraproject.org/wiki/Changes/Graphical_Applications_as_Flatpaks

I know this app is available on Flathub as a flatpak, but I still prefer Fedora's package testing/QA etc., that's why I'd also like to have a version on https://registry.fedoraproject.org/. Also Flathub is a third-party source from the Fedora users/projects viewpoint, so I guess some users would not like to use third-party app sources.
However, the fact that it is on Flathub should make it easier to implement for you, because you can have a look on how they do it. (Not that you need to do everything the same, but it proves it is possible to package as a flatpak, at least.)

Comment 1 Fedora Update System 2019-07-17 18:35:21 UTC
FEDORA-FLATPAK-2019-9cb16f8d09 has been submitted as an update to Fedora 30 Flatpaks. https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2019-9cb16f8d09

Comment 2 Fedora Update System 2019-07-18 01:38:23 UTC
darktable-master-3020190717173735.1 has been pushed to the Fedora 30 Flatpaks testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2019-9cb16f8d09

Comment 3 Kalev Lember 2019-07-18 09:48:23 UTC
Done! Would be awesome if you could +1 the update above if it works for you.

Comment 4 Fedora Update System 2019-07-26 01:01:51 UTC
darktable-master-3020190717173735.1 has been pushed to the Fedora 30 Flatpaks stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.